<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___g_l_s__definitions" kind="group">
    <compoundname>group_ble_service_api_GLS_definitions</compoundname>
    <title>GLS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__glss__char__t">cy_stc_ble_glss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__glss__t">cy_stc_ble_glss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__glsc__char__t">cy_stc_ble_glsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__glsc__t">cy_stc_ble_glsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gls__char__value__t">cy_stc_ble_gls_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gls__descr__value__t">cy_stc_ble_gls_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__glss__config__t">cy_stc_ble_glss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__glsc__config__t">cy_stc_ble_glsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___g_l_s__definitions_1gaa009e3c9f6226146dc7dd3b9b31410c3" kind="enum" prot="public" static="no">
        <name>cy_en_ble_gls_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1ggaa009e3c9f6226146dc7dd3b9b31410c3a375b3dcee9cf006ae817945778df3223" prot="public">
          <name>CY_BLE_GLS_GLMT</name>
          <briefdescription>
<para>Glucose Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1ggaa009e3c9f6226146dc7dd3b9b31410c3aad42d2a78963fc20473f6d596f890a4a" prot="public">
          <name>CY_BLE_GLS_GLMC</name>
          <briefdescription>
<para>Glucose Measurement Context Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1ggaa009e3c9f6226146dc7dd3b9b31410c3ab69a2c56510910bacc210c754fccd0da" prot="public">
          <name>CY_BLE_GLS_GLFT</name>
          <briefdescription>
<para>Glucose Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1ggaa009e3c9f6226146dc7dd3b9b31410c3a8a65b68b18a4d84290d0602a20277fc4" prot="public">
          <name>CY_BLE_GLS_RACP</name>
          <briefdescription>
<para>Record Access Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1ggaa009e3c9f6226146dc7dd3b9b31410c3afca00376db8a763b51382206050c3a0c" prot="public">
          <name>CY_BLE_GLS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of GLS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_gls_char_index_t: </bold><linebreak />Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="54" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="48" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___g_l_s__definitions_1ga79bb1658e6b91512eafee62ebf6cfe98" kind="enum" prot="public" static="no">
        <name>cy_en_ble_gls_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1gga79bb1658e6b91512eafee62ebf6cfe98a54eafaca980cf761e38df4d823b4bffd" prot="public">
          <name>CY_BLE_GLS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___g_l_s__definitions_1gga79bb1658e6b91512eafee62ebf6cfe98adefcf16bad7ccfef5130c67a12654c2e" prot="public">
          <name>CY_BLE_GLS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of GLS descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_gls_descr_index_t: </bold><linebreak />Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="61" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="58" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the GLS specific definitions and data structures used in the GLS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>